mav_navigationKeyboardDefault(3)

NAME
mav_navigationKeyboardDefault - The default implementation of keyboard navigation

LEVEL
Maverik Level 1

SYNTAX
int mav_navigationKeyboardDefault(MAV_object *o, MAV_keyboardEvent *e);

DESCRIPTION
This function is the default implementation of keyboard navigation and is used as the second argument to mav_navigationKeyboard, i.e.

<cod> mav_navigationKeyboard(mav_win_all, mav_navigationKeyboardDefault); </cod>

It provides the following ``Doom'' style controls:

Linear translations assume that the application is using meters as its units.

Control of the default keyboard navigation, via mav_navigationKeyboardDefaultParams, is more limited that the mouse variety since you can't redefine the actions taken by the various keys.

SEE ALSO
mav_navigationKeyboard, mav_navigationKeyboardDefaultParams, mav_navigationMouseDefault